Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2009-06-22 10:50:17 +0400
committerJunio C Hamano <gitster@pobox.com>2009-06-22 10:50:17 +0400
commite16a4779b3213f5f734da38a414ec06882400742 (patch)
tree9116d524bbdade1da8f61d5c2eed3212e9119514 /t
parentc5764c095c2a563b657c1bd8f4a3e47bdeee14b0 (diff)
parentcff4231a1dfbe68b4a163b31406d862567d3243a (diff)
Sync with 1.6.3.3
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't')
-rwxr-xr-xt/t3505-cherry-pick-empty.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/t/t3505-cherry-pick-empty.sh b/t/t3505-cherry-pick-empty.sh
index 9aaeabd972..e51e505a9f 100755
--- a/t/t3505-cherry-pick-empty.sh
+++ b/t/t3505-cherry-pick-empty.sh
@@ -17,11 +17,11 @@ test_expect_success setup '
'
-test_expect_code 1 'cherry-pick an empty commit' '
-
- git checkout master &&
- git cherry-pick empty-branch
-
+test_expect_success 'cherry-pick an empty commit' '
+ git checkout master && {
+ git cherry-pick empty-branch
+ test "$?" = 1
+ }
'
test_expect_success 'index lockfile was removed' '